Top Daily Teams
curl --request GET \
--url https://api.crowdchange.dev/v2/client/teams/top/daily \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/client/teams/top/daily"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/client/teams/top/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "Team A",
"description": "Team description",
"image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"n_pages": 50,
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
]
Top Daily
Top Daily Teams
Retrieve the daily ranking of top CrowdChange fundraising teams by amount raised over the last 24 hours, for leaderboards and homepage widgets.
GET
/
v2
/
client
/
teams
/
top
/
daily
Top Daily Teams
Query parameters
string
Timezone identifier. Default:
UTCinteger
Page number. Default:
1integer
Number of results to return. Default:
10Response
Returns an array of objects with the following fields.integer
Team ID.
string
Team name.
string
Team description
string
Team image ID
number
Goal amount.
string
Formatted goal amount of the team, includes currency symbol.
number
Amount raised by the team.
string
Formatted amount raised by the team, includes currency symbol.
number
Number of donors
string
URL to team’s page.
string
Team language. Allowed values:
en, frinteger
Number of pages.
object
Campaign that team belongs to.
Show properties
Show properties
integer
Campaign ID.
string
Campaign name.
number
Campaign’s goal amount.
number
Total amount raised by the campaign.
string
Formatted amount raised by the campaign, includes currency symbol.
string
Full URL to campaign’s page.
string
Campaign language. Allowed values:
en, frobject
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
[
{
"id": 1,
"name": "Team A",
"description": "Team description",
"image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"n_pages": 50,
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
]
Was this page helpful?
⌘I